#  SPDX-FileCopyrightText: 2023 Atmark Techno contributors
#
#  SPDX-License-Identifier: MIT

import re
from uuid import uuid4

def spdx_id_from_name(name: str) -> str:
    tmp_name = re.sub(r"[^a-zA-Z0-9.-]", "-", name)
    spdx_id = f"SPDXRef-{tmp_name}"
    return spdx_id

def get_spdx_id(name: str, uuid=False) -> str:
    spdx_id = spdx_id_from_name(name)
    return f"{spdx_id}-{uuid4()}" if uuid else spdx_id
